bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#14159: Problem with compilation and building emacs (libtiff, libgtk3


From: Petr Hracek
Subject: bug#14159: Problem with compilation and building emacs (libtiff, libgtk3 and other are missing)
Date: Mon, 08 Apr 2013 12:15:09 +0200
User-agent: Mozilla/5.0 (X11; Linux i686; rv:17.0) Gecko/20130311 Thunderbird/17.0.4

Problem was solved by problematic /usr/lib/libmagic library.

Please close the bug

S pozdravem / Best regards

Petr Hracek

On 04/08/2013 09:47 AM, Petr Hracek wrote:
Hi,

I'd like to compile and build emacs-24.3 but after a build rpm does not require
any libtiff and other libraries:

Compilation and build is done by commands:
BuildRequires: atk-devel cairo-devel freetype-devel fontconfig-devel dbus-devel giflib-devel g
libc-devel libpng-devel
BuildRequires: libjpeg-devel libtiff-devel libX11-devel libXau-devel libXdmcp-devel libXrender
-devel libXt-devel
BuildRequires: libXpm-devel ncurses-devel xorg-x11-proto-devel zlib-devel gnutls-devel BuildRequires: librsvg2-devel m17n-lib-devel libotf-devel ImageMagick-devel libselinux-devel BuildRequires: GConf2-devel alsa-lib-devel gpm-devel liblockfile-devel libxml2-devel
BuildRequires: bzip2 cairo texinfo gzip desktop-file-utils
BuildRequires: gtk3-devel python2-devel python3-devel

%configure --with-dbus --with-gif --with-jpeg --with-png --with-rsvg \
--with-tiff --with-xft --with-xpm --with-x-toolkit=%{toolkit} --with-gpm=no
make bootstrap
make
cd ..

# Build binary without X support
mkdir build-nox && cd build-nox
ln -s ../configure .
%configure --with-x=no
make

Do you have any advise what is wrong?

Build is fine w/o any error but command:
address@hidden emacs(master)]$ rpm -qp --requires /var/lib/mock/fedora-rawhide-i386/result/emacs-24.3-6.fc20.i686.rpm
/bin/sh
/bin/sh
/bin/sh
/bin/sh
/usr/sbin/alternatives
/usr/sbin/alternatives
dejavu-sans-mono-fonts
desktop-file-utils
emacs-common = 1:24.3-6.fc20
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
address@hidden emacs(master)]$

In version 24.2 all works fine and
rpm -q --requires emacs shows:
/bin/sh
/bin/sh
/bin/sh
/bin/sh
/usr/sbin/alternatives
/usr/sbin/alternatives
dejavu-sans-mono-fonts
desktop-file-utils
emacs-common = 1:24.3-5.fc18
libICE.so.6
libMagickCore.so.5
libMagickWand.so.5
libSM.so.6
libX11.so.6
libXft.so.2
libXpm.so.4
libXrender.so.1
libasound.so.2
libasound.so.2(ALSA_0.9)
libasound.so.2(ALSA_0.9.0rc4)
libatk-1.0.so.0
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.11)
libc.so.6(GLIBC_2.15)
libc.so.6(GLIBC_2.2)
libc.so.6(GLIBC_2.2.1)
libc.so.6(GLIBC_2.3)
libc.so.6(GLIBC_2.3.3)
libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4)
libc.so.6(GLIBC_2.6)
libcairo-gobject.so.2
libcairo.so.2
libdbus-1.so.3
libfontconfig.so.1
libfreetype.so.6
libgconf-2.so.4
libgdk-3.so.0
libgdk_pixbuf-2.0.so.0
libgif.so.4
libgio-2.0.so.0
libglib-2.0.so.0
libgnutls.so.26
libgnutls.so.26(GNUTLS_1_4)
libgobject-2.0.so.0
libgomp.so.1
libgtk-3.so.0
libjpeg.so.62
libjpeg.so.62(LIBJPEG_6.2)
libm.so.6
libm.so.6(GLIBC_2.0)
libm17n-core.so.0
libm17n-flt.so.0
libotf.so.0
libpango-1.0.so.0
libpangocairo-1.0.so.0
libpng15.so.15
libpng15.so.15(PNG15_0)
libpthread.so.0
libpthread.so.0(GLIBC_2.0)
libpthread.so.0(GLIBC_2.2)
librsvg-2.so.2
librt.so.1
librt.so.1(GLIBC_2.2)
libselinux.so.1
libtiff.so.5
libtiff.so.5(LIBTIFF_4.0)
libtinfo.so.5
libxml2.so.2
libxml2.so.2(LIBXML2_2.4.30)
libxml2.so.2(LIBXML2_2.6.0)
libz.so.1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
rpmlib(PayloadIsXz) <= 5.2-1







reply via email to

[Prev in Thread] Current Thread [Next in Thread]